[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Python bindings and python 3?

From: Lev Serebryakov <lev_at_serebryakov.spb.ru>
Date: Mon, 29 Apr 2019 19:14:04 +0300

 Looks like python bindings doesn't work with pyhton 3. It could be
built no problem, but "check-swig-py" target fails (see log below)

Is it known problem or something wrong on my side?

===
if [ "LD_LIBRARY_PATH" = "DYLD_LIBRARY_PATH" ]; then for d in
/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/libsvn_swig_py
/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/../../../libsvn_*;
do if [ -n "$DYLD_LIBRARY_PATH" ]; then
LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$d/.libs"; else
LD_LIBRARY_PATH="$d/.libs"; fi; done; export LD_LIBRARY_PATH; fi;
cd
/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python;
 /usr/local/bin/python3.7
/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/tests/run_all.py
Traceback (most recent call last):
  File
"/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/libsvn/core.py",
line 14, in swig_import_helper
    return importlib.import_module(mname)
  File "/usr/local/lib/python3.7/importlib/__init__.py", line 127, in
import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 965, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'libsvn._core'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File
"/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/tests/run_all.py",
line 22, in <module>
    import mergeinfo, core, client, delta, checksum, pool, fs, ra, wc,
repository, \
  File
"/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/tests/mergeinfo.py",
line 22, in <module>
    from svn import core, repos, fs
  File
"/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/svn/core.py",
line 26, in <module>
    from libsvn.core import *
  File
"/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/libsvn/core.py",
line 17, in <module>
    _core = swig_import_helper()
  File
"/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/libsvn/core.py",
line 16, in swig_import_helper
    return importlib.import_module('_core')
  File "/usr/local/lib/python3.7/importlib/__init__.py", line 127, in
import_module
    return _bootstrap._gcd_import(name[level:], package, level)
ImportError:
/usr/home/lev/FreeBSD/ports/devel/py-subversion/work-py37/subversion-1.12.0/subversion/bindings/swig/python/.libs/_core.so:
Undefined symbol "PyFile_AsFile"
*** [check-swig-py] Error code 1

-- 
// Black Lion AKA Lev Serebryakov

Received on 2019-04-29 18:14:30 CEST

This is an archived mail posted to the Subversion Users mailing list.